/*
	This file contains the definitions of the interrupt handlers for K20D5 MCU family.
	The file is provided by Sysprogs under the BSD license.
*/


extern void *_estack;
#define NULL ((void *)0)

void Reset_Handler();
void Default_Handler();

void NMI_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Hard_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Mem_Manage_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Bus_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Usage_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SVCall_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DebugMonitor_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PendableSrvReq_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SysTick_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA2_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA3_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA_Error_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTFL_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Read_Collision_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LVD_LVW_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LLW_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Watchdog_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2C0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SPI0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2S0_Tx_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2S0_Rx_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART0_LON_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART0_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART0_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART1_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART1_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART2_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART2_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void ADC0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMP0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMP1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTM0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTM1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMT_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void RTC_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void RTC_Seconds_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT2_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT3_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PDB0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void USB0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void USBDCD_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void TSI0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void MCG_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LPTimer_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTA_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTB_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTC_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTD_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTE_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SWI_Handler() __attribute__ ((weak, alias ("Default_Handler")));

void * __vect_table[0x3e] __attribute__ ((section (".vectortable"))) = 
{
	&_estack,
	&Reset_Handler,
	&NMI_Handler,
	&Hard_Fault_Handler,
	&Mem_Manage_Fault_Handler,
	&Bus_Fault_Handler,
	&Usage_Fault_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	&SVCall_Handler,
	&DebugMonitor_Handler,
	NULL,
	&PendableSrvReq_Handler,
	&SysTick_Handler,
	&DMA0_Handler,
	&DMA1_Handler,
	&DMA2_Handler,
	&DMA3_Handler,
	&DMA_Error_Handler,
	NULL,
	&FTFL_Handler,
	&Read_Collision_Handler,
	&LVD_LVW_Handler,
	&LLW_Handler,
	&Watchdog_Handler,
	&I2C0_Handler,
	&SPI0_Handler,
	&I2S0_Tx_Handler,
	&I2S0_Rx_Handler,
	&UART0_LON_Handler,
	&UART0_RX_TX_Handler,
	&UART0_ERR_Handler,
	&UART1_RX_TX_Handler,
	&UART1_ERR_Handler,
	&UART2_RX_TX_Handler,
	&UART2_ERR_Handler,
	&ADC0_Handler,
	&CMP0_Handler,
	&CMP1_Handler,
	&FTM0_Handler,
	&FTM1_Handler,
	&CMT_Handler,
	&RTC_Handler,
	&RTC_Seconds_Handler,
	&PIT0_Handler,
	&PIT1_Handler,
	&PIT2_Handler,
	&PIT3_Handler,
	&PDB0_Handler,
	&USB0_Handler,
	&USBDCD_Handler,
	&TSI0_Handler,
	&MCG_Handler,
	&LPTimer_Handler,
	&PORTA_Handler,
	&PORTB_Handler,
	&PORTC_Handler,
	&PORTD_Handler,
	&PORTE_Handler,
	&SWI_Handler
};

void Default_Handler()
{
	asm("BKPT 255");
}
