/*
	This file contains the definitions of the interrupt handlers for KL02Z4 MCU family.
	The file is provided by Sysprogs under the BSD license.
*/


extern void *_estack;
#define NULL ((void *)0)

void Reset_Handler();
void Default_Handler();

void NMI_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Hard_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SVCall_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PendableSrvReq_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SysTick_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTFA_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LVD_LVW_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2C0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2C1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SPI0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void ADC0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMP0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void TPM0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void TPM1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void MCG_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LPTimer_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTA_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTB_Handler() __attribute__ ((weak, alias ("Default_Handler")));

void * __vect_table[0x30] __attribute__ ((section (".vectortable"))) = 
{
	&_estack,
	&Reset_Handler,
	&NMI_Handler,
	&Hard_Fault_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	&SVCall_Handler,
	NULL,
	NULL,
	&PendableSrvReq_Handler,
	&SysTick_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	&FTFA_Handler,
	&LVD_LVW_Handler,
	NULL,
	&I2C0_Handler,
	&I2C1_Handler,
	&SPI0_Handler,
	NULL,
	&UART0_Handler,
	NULL,
	NULL,
	&ADC0_Handler,
	&CMP0_Handler,
	&TPM0_Handler,
	&TPM1_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	&MCG_Handler,
	&LPTimer_Handler,
	NULL,
	&PORTA_Handler,
	&PORTB_Handler
};

void Default_Handler()
{
	asm("BKPT 255");
}
